
/*
/* tar data structure
/**/

#define TARBLOCK	512
#define TARNAMSIZ	100

typedef union {
  char dummy[TARBLOCK];

  struct {
    char name[TARNAMSIZ];
    char mode[8];
    char uid[8];
    char gid[8];
    char size[12];
    char mtime[12];
    char chksum[8];
    char linkflag;
    char linkname[TARNAMSIZ];
    char extno[4];
    char extotal[4];
    char efsize[12];
  } header;
} tarblock;

long		getokt		(char *);
int		istarfile	(uulist *);
uulist *	tar2bin 	(uulist *);
uulist *	tarscan		(uulist *);
